# Class Sweep

java.lang.Object
com.codename1.gaming.physics.box2d.common.Sweep

public class Sweep extends Object
This describes the motion of a body/shape for TOI computation. Shapes are defined with respect to the body origin, which may no coincide with the center of mass. However, to support dynamics we must interpolate the center of mass position.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `float`
  `a`
  World angles
  `float`
  `a0`
  World angles
  `float`
  `alpha0`
  Fraction of the current time step in the range [0,1] c0 and a0 are the positions at alpha0.
  `final Vec2`
  `c`
  Center world positions
  `final Vec2`
  `c0`
  Center world positions
  `final Vec2`
  `localCenter`
  Local center of mass position

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Sweep()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final void`
  `advance(float alpha)`
  Advance the sweep forward, yielding a new initial state.
  `final void`
  `getTransform(Transform xf, float beta)`
  Get the interpolated transform at a specific time.
  `final void`
  `normalize()`
  `final Sweep`
  `set(Sweep argCloneFrom)`
  `String`
  `toString()`
  Returns a string representation of the object.

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### localCenter

    public final Vec2 localCenter
    Local center of mass position

  - ### c0

    public final Vec2 c0
    Center world positions

  - ### c

    public final Vec2 c
    Center world positions

  - ### a0

    public float a0
    World angles

  - ### a

    public float a
    World angles

  - ### alpha0

    public float alpha0
    Fraction of the current time step in the range [0,1] c0 and a0 are the positions at alpha0.

- ## Constructor Details

  - ### Sweep

    public Sweep()

- ## Method Details

  - ### toString

    public String toString()
    Description copied from class: `Object`
    Returns a string representation of the object. In general, the toString method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommended that all subclasses override this method. The toString method for class Object returns a string consisting of the name of the class of which the object is an instance, the at-sign character `@', and the unsigned hexadecimal representation of the hash code of the object. In other words, this method returns a string equal to the value of: getClass().getName() + '@' + Integer.toHexString(hashCode())
    Overrides:
      `toString` in class `Object`

  - ### normalize

    public final void normalize()

  - ### set

    public final Sweep set(Sweep argCloneFrom)

  - ### getTransform

    public final void getTransform(Transform xf, float beta)
    Get the interpolated transform at a specific time.
    Parameters:
      `xf` - the result is placed here - must not be null
      `t` - the normalized time in [0,1].

  - ### advance

    public final void advance(float alpha)
    Advance the sweep forward, yielding a new initial state.
    Parameters:
      `alpha` - the new initial time.